#--------------------------------------------------------------------------------
sub dbmsPatchCreate
#--------------------------------------------------------------------------------
#
# Create a row in the Oracle dbamon.dbmspatches table 
#
#--------------------------------------------------------------------------------
{
  my ($verb, 
      $h, 
      $dp_patchnum, 
      $dp_ver, 
      $dp_dateapplied, 
      $dp_whoapplied, 
      $dp_comment) = @_;

  if ($verb eq "D")
  {
    $sql  = "
      delete 
      from dbamon.dbmspatches
      where
        dp_dbamonmode = '$mode'
        and dp_system = '$hostname[$h]'
        and dp_instance = '$orasid[$h]'";
    ##print "sql=$sql\n";
    runSQL($sql);
    &logit("dbamon.dbmspatches Row(s) Deleted",$h);
  }
  else
  {
    $zfqhost = $fqhostname[$h];
    $zfqhost = "?" if ! $zfqhost; 

    $sql  = "
      insert into dbamon.dbmspatches
	(dp_dbamonmode,
	 dp_system,
	 dp_softwarehome,
	 dp_fqhostname,
	 dp_instance,
	 dp_dbms,
	 dp_dbmsver,
	 dp_patchnum,
	 dp_dateapplied,
	 dp_whoapplied,
	 dp_comment)
      values
	(\'$mode\',
	 \'$hostname[$h]\', 
	 \'$orahome[$h]\', 
	 \'$zfqhost\', 
	 \'$orasid[$h]\', 
	 \'$dbmsout[$h]\', 
	 \'$dp_ver\', 
	 \'$dp_patchnum\', 
         to_date('$dp_dateapplied','YYYY/MM/DD'),
	 \'$dp_whoapplied\', 
	 \'$dp_comment\'
	)
    ";
    ##print "sql=$sql\n";
    runSQL($sql);
    &logit("dbamon.dbmspatches Row Inserted",$h);
  }
}
#-------------------------------------------------------------------------------
1;
