#-----------------------------------------------------------------------------
sub sqlSvcAcctSelect
#-----------------------------------------------------------------------------
{
  ($ssas_acct) = @_;

  #---- Default values
  my $ssas_return     = -999999; 
  my $ssas_days_until = -999999; 
  my $ssas_ts         = "?"; 

  #---- Returns
  #----   -99: Did not find this SVC account in USER_DATA table or the row for this account is STALE
  #----   (Postive number): Number of days until the password for this account expires 

  $sql = "select ud_v2, ud_v3 from dbamon.dbamon.user_data 
    where ud_category = 'SQLSVCACCTPWEXP' and upper(ud_v1) = '$ssas_acct' order by ud_v2"; 

  $sth3 = $dbh->prepare($sql)  || &error_msg("SQL Error=$DBI::errstr SQL sql=$sql Failure");
  $sth3->execute               || &error_msg("SQL Error=$DBI::errstr SQL sql=$sql Failure");
  while (@Data = $sth3->fetchrow_array)
  {
    $ssas_days_until = $Data[0];
    $ssas_ts         = $Data[1];
    last;       #---- If there are multiple rows, we only want the first (lowest value) row
  }

  if ($ssas_days_until != -9999)
  {
    $ssas_return = ($ssas_days_until + 0); 
  } 

  return $ssas_return, $ssas_ts; 
}
1;
